const LambdaTester = require('lambda-tester')
const myLambda = require('./index').handler

let sendPayload = {
  'machineProgramId': '250',
  'machineIds': [256],
  // 'machineIds': [244, 256, 259, 284, 285, 448, 556, 566, 1155, 1196, 1202, 1565, 1746, 1747, 1748, 1749], // room_id = 9
  // 'machineIds': [503, 504, 505, 506, 507, 508, 509, 510, 511, 512, 513, 514], // room_id = 38
  // 'machineIds': [244, 256, 259, 284, 285, 448, 556, 566, 1155, 1196, 1202, 1565, 1746, 1747, 1748, 1749, 503, 504, 505, 506, 507, 508, 509, 510, 511, 512, 513, 514], // sorted by room
  // 'machineIds': [244, 256, 259, 284, 285, 448, 503, 504, 505, 506, 507, 508, 509, 510, 511, 512, 513, 514, 556, 566, 1155, 1196, 1202, 1565, 1746, 1747, 1748, 1749],  // sorted by machine ID
  'createdBy': {
    'id': '2'
  }
}

const sendPayloadApiGateway = {
  'body-json': sendPayload,
  params: {
    path: { 'machineProgramId': '250' },
    querystring: {},
    header: {
      'alliancels-auth-token': 'a'
    }
  },
  context: {
    'account-id': '754493259298',
    'api-id': 'syi5x6soq3',
    'api-key': 'test-invoke-api-key',
    'authorizer-principal-id': '2',
    'caller': '754493259298',
    'cognito-authentication-provider': '',
    'cognito-authentication-type': '',
    'cognito-identity-id': ''
  }
}

describe('Calling index.handler', () => {
  // it('should save programs in Firebase for processing.', () => LambdaTester(myLambda)
  //   .event(sendPayload)
  //   .expectSucceed()).timeout(5000)

  // it('should save programs in Firebase for processing via the api gateway', () => LambdaTester(myLambda)
  //   .event(sendPayloadApiGateway)
  //   .expectSucceed()).timeout(15000)
})
